#import "FacebookEventsPlugin.h"
#import <FacebookCore/FacebookCore-Swift.h>
#import <FBSDKCoreKit/FBSDKCoreKit.h>

@implementation FacebookEventsPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"facebook_events"
            binaryMessenger:[registrar messenger]];
  FacebookEventsPlugin* instance = [[FacebookEventsPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  }else if([@"logEvent" isEqualToString:call.method]){
      [FBSDKAppEvents logEvent:call.arguments[@"name"] parameters:call.arguments[@"parameters"]];
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
