
import 'dart:async';

import 'package:flutter/services.dart';

class FacebookEvents {
  static const MethodChannel _channel =
      const MethodChannel('facebook_events');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  /// Log an app event with the specified [name] and the supplied [parameters] value.
  static Future<void> logEvent({
    String name,
    Map<String, dynamic> parameters,
  }) {
    final args = <String, dynamic>{
      'name': name,
      'parameters': parameters,
    };
    return  _channel.invokeMethod('logEvent',args);
  }
}
